Subject: Re: [PATCH] fix compile failure with non modular builds

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 10 Sep 2008 10:46:39 +1000

On Tue, 2008-09-09 at 19:11 -0500, James Bottomley wrote:
> On Wed, 2008-09-10 at 10:09 +1000, Benjamin Herrenschmidt wrote:
> > On Tue, 2008-09-09 at 19:04 -0500, James Bottomley wrote:
> > > commit deac93df26b20cf8438339b5935b5f5643bc30c9
> > > Author: James Bottomley <[email-masked]>
> > > Date:   Wed Sep 3 20:43:36 2008 -0500
> > > 
> > >     lib: Correct printk %pF to work on all architectures
> > > 
> > > Broke the non modular builds by moving an essential function into
> > > modules.c.  Fix this by moving it out again and into asm/sections.h as
> > > an inline.  To do this, the definition of struct ppc64_opd_entry has
> > > been lifted out of modules.c and put in asm/elf.h where it belongs.
> > > 
> > > Signed-off-by: James Bottomley <[email-masked]>
> > 
> > Ouch. Ack.
> 
> Actually, this is for your powerpc tree, so we actually run it through
> some extended config testing this time ...

Or rather Paul's tree :-)

He's on the way to Portland and I'm flying out tomorrow, but I'll make
sure it gets picked up.

I must admit that none of my test configs I think has module support
turned off (even if I tend to have all the stuff I need built-in).

Cheers,
Ben.